Metric

Fetch metrics by providing the arguments in the request body

# Example of segment-size metrics
curl -s -XPOST "$LIOAPI/api/metric" \
    -H 'Content-type: application/json' \
    -H "Authorization: $LIOKEY" \
    -d '{
            "dimension": "segsize",
            "dimension_id": "abc123",
            "dimension_type": "size",
            "interval": "2h",
            "aggregation": "max",
            "start_date": "now-5d",
            "end_date": "now",
            "smooth": true
    }' | jq '.'


# Example request of data collected from the default and email stream
curl -s -XPOST "$LIOAPI/api/metric" \
    -H "Content-type: application/json" \
    -H "Authorization: $LIOKEY" \
    -d '[{
            "dimension": "stream",
            "dimension_id": "default",
            "dimension_type": "size",
            "interval": "1h",
            "aggregation": "sum",
            "start_date": "now-1w",
            "end_date": "now"
        },
        {
            "dimension": "stream",
            "dimension_id": "email",
            "dimension_type": "size",
            "interval": "1h",
            "aggregation": "sum",
            "start_date": "now-2w",
            "end_date": "now"
        }]' | jq '.'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Your Lytics account ID.

Body Params
string

Value of supported dimension (segment, experience, stream, etc)

string

ID for the specific item within dimension such as a segment ID. Tip: If the type is a segment you can use all_segments as the dimension id to get all segments for the account.

string

Type of metric to be returned (size, converted, etc)

string

Duration to roll-up metrics (2h for roll-up into two-hour buckets). Intervals smaller than two hours are not recommended.

string

Aggregation to apply to metrics (sum, max, min)

boolean

Smooth metrics using a moving-average function

boolean

Passing true will include zero values in the response for every interval whether metrics were logged during that period or not.

string

Fetch metrics after this date; both dates and relative-dates are supported

string

Fetch metrics before this date; both dates and relative-dates are supported

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json